aboutsummaryrefslogtreecommitdiff
path: root/gen_wesher_key
diff options
context:
space:
mode:
Diffstat (limited to 'gen_wesher_key')
-rwxr-xr-xgen_wesher_key17
1 files changed, 17 insertions, 0 deletions
diff --git a/gen_wesher_key b/gen_wesher_key
new file mode 100755
index 0000000..c66fade
--- /dev/null
+++ b/gen_wesher_key
@@ -0,0 +1,17 @@
+#!/usr/bin/env sh
+
+cd $(dirname $0)
+
+CLUSTER="$1"
+if [ -z "$CLUSTER" ] || [ ! -d "cluster/$CLUSTER" ]; then
+ echo "Usage: $0 <cluster name>"
+ echo "The cluster name must be the name of a subdirectory of cluster/"
+ exit 1
+fi
+
+K=deuxfleurs/cluster/$CLUSTER/wesher_key
+if ! pass $K >/dev/null; then
+ pass insert -m $K <<EOF
+WESHER_CLUSTER_KEY=$(head -c 32 /dev/urandom | base64)
+EOF
+fi